For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterOpenAPI SpecStatus
OverviewInquiriesTransactionsAPI ReferenceChangelog
OverviewInquiriesTransactionsAPI ReferenceChangelog
  • Getting Started
    • Introduction
    • Quickstart Tutorial
  • API Overview
    • API Keys
    • Authentication
    • Protocol
    • Response Body
    • Idempotence
    • Pagination
    • Rate Limiting
    • Downloading Files
    • API Logs
    • Request IDs
  • Versioning
    • API Changelog
    • Versioning
  • Troubleshooting
    • Error Handling
  • API Reference
    • OpenAPI Specification
    • Cases
    • Connect
      • GETList all Devices
      • GETRetrieve a Device
    • Documents
    • Inquiries
    • List Items
    • Lists
    • OAuth
    • Reports
    • Transactions
    • Verifications
    • Workflows
  • Webhooks
LogoLogo
Help CenterOpenAPI SpecStatus
API ReferenceDevices

List all Devices

GET
https://api.withpersona.com/api/v1/devices
GET
/api/v1/devices
$curl -G https://api.withpersona.com/api/v1/devices \
> -H "Authorization: Bearer <token>" \
> -d "filter[inquiry-session-id]=iqse_ABC123"
1{
2 "data": [
3 {
4 "id": "dev_ABC123",
5 "attributes": {
6 "device-vendor-id": "1a2b3c4d-5e6f-7g8h-9ijk-1A2B3C4D5E6F",
7 "device-fingerprint": "1a2b3c4d5e6f7g8h9ijk",
8 "browser-fingerprint": "1a2b3c4d5e6f7g8h9ijklmnopqrstuvw"
9 },
10 "type": "device"
11 }
12 ],
13 "links": {
14 "prev": "/api/v1/devices?page%5Bbefore%5D=dev_ABC123",
15 "next": "/api/v1/devices?page%5Bafter%5D=dev_ABC123"
16 }
17}
Retrieves a list of Devices. Results are returned in reverse chronological order, with the most recently created objects first.
Was this page helpful?
Previous

Retrieve a Device

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

Key-InflectionenumOptional
Determines casing for the API response.
Allowed values:
Idempotency-KeystringOptional
Ensures the request is idempotent.
Persona-VersionenumOptional
Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning).

Query parameters

filterobjectRequired

Response

This endpoint returns a collection of Device objects.
datalist of objects
linksobject
includedlist of any

Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error

Server API version. More info on versioning can be found here.